Subject: [NGC4LIB] Job Opening: Access & Fulfillment Services Manager, California Institute of Technology - Pasadena, CA

From: Laura Smart <[email-masked]>
Date: Fri, 26 Feb 2010 10:11:46 -0800

The Caltech Library is seeking an Access and Fulfillment Services
Manager responsible for designing, implementing, and directing library
inventory and document supply programs and assessing collaborations
with other libraries to achieve cost effective and responsive delivery
of needed information resources for the faculty and researchers. The
Library's Access and Fulfillment Services Manager supervises Document
Services (interlibrary loan, document delivery and scanning),
Circulation, and Collection Maintenance functions, with a total of 10
FTE.

Complete job description and application details available at Caltech
Human Resources web site
http://tinyurl.com/accessmgrjob

-- 
Laura J. Smart
Metadata Services Manager, Caltech Library
[email-masked]/[email-masked]